CONFIG      +=	qt release opengl warn_on 
QT          +=  opengl
MOC_DIR	    =	.MOC
OBJECTS_DIR =	.OBJ
release { 
TARGET      = main_release
}
debug { 
TARGET      = main_debug
}
SOURCES     =	main.cpp\
                glTrackball.cpp\
                qtMainWidget.cpp\
                qtGlWidget.cpp\
                qtRenderEditor.cpp\
                qtClockEditor.cpp\
                qtAttributeEditor.cpp\
                qtCurveEditor.cpp\
                nodegizmo.cpp\
                dagnode.cpp\
                nodeshape.cpp\
                nodescene.cpp\
                nodesky.cpp\
                nodeimagelayer.cpp\
                nodecamera.cpp\
                nodesmokegrid.cpp\
                nodesmokeparticles.cpp\
                nodesmokegpuparticles.cpp\
                nodesmokegenerator.cpp\
                nodesmokegpugenerator.cpp\
                nodevortexset.cpp\
                nodecontrol.cpp\
                nodevortexring.cpp\
                nodecurrentgenerator.cpp\
                nodecurrentcontrol.cpp\
                nodeobstacle.cpp\
                nodemesh.cpp\
                nodevelocityplot.cpp\
                nodeextrudedshape.cpp\
                nodenoise.cpp\
                nodeturbulence.cpp\
                noderingcheckpoint.cpp\
                nodeclock.cpp\
                nodecurve.cpp\
                nodetransform.cpp\
                nodedeformer.cpp\
                nodebezier3d.cpp\
                nodeconstraintaim.cpp\
                nodelocator.cpp\
                nodeplane.cpp\
                command.cpp\
                commandcustom.cpp\
                plugcustom.cpp\
                plugoctree.cpp\
                plugmesh.cpp\
                plug.cpp\
                datablock.cpp
HEADERS     =	glTrackball.h\
                qtMainWidget.h\
                qtGlWidget.h\
                qtRenderEditor.h\
                qtClockEditor.h\
                qtSpinBoxPnt3d.h\
                qtSpinBoxVec3d.h\
                qtSpinBoxRgb3d.h\
                qtAttributeEditor.h\
                qtCurveEditor.h\
                glView.h\
                gfxtypes.h\
                twistlog.h\
                ten3d.h\
                matnd.h\
                matmnd.h\
                nodegizmo.h\
                dagnode.h\
                nodeshape.h\
                nodescene.h\
                nodesky.h\
                nodeimagelayer.h\
                nodecamera.h\
                nodesmokegrid.h\
                nodesmokeparticles.h\
                nodesmokegpuparticles.h\
                nodesmokegenerator.h\
                nodesmokegpuparticles.h\
                nodevortexset.h\
                nodecontrol.h\
                nodevortexring.h\
                nodecurrentgenerator.h\
                nodecurrentcontrol.h\
                nodeobstacle.h\
                nodemesh.h\
                nodevelocityplot.h\
                nodeextrudedshape.h\
                nodenoise.h\
                nodeturbulence.h\
                noderingcheckpoint.h\
                nodeclock.h\
                nodecurve.h\
                nodetransform.h\
                nodedeformer.h\
                nodebezier3d.h\
                nodeconstraintaim.h\
                nodelocator.h\
                nodeplane.h\
                command.h\
                commandcustom.h\
                plug.h\
                plugcustom.h\
                datagrid.h\
                dataclock.h\
                dataoctree.h\
                plugoctree.h\
                plugmesh.h\
                datablock.h\
                mystring.h\
                gbb.h\
                gbblogo.h\
                play.xpm\
                pause.xpm\
                stop.xpm\
                input.xpm\
                output.xpm\
                parcel1.dat\
                parcel2.dat
