// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODECLOCK_HH__
#define __NODECLOCK_HH__

// ************************************************************************* //
#include "dagnode.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
class NClock: public DagNode
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NClock(DagNode *parent = 0): DagNode(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NClock(); }
  virtual void		compute(Plug &);
};

// ************************************************************************* //
#endif//__NODECLOCK_HH__
