// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODECONSTRAINTAIM_HH__
#define __NODECONSTRAINTAIM_HH__

// ************************************************************************* //
#include "dagnode.h"

// ************************************************************************* //
class NConstraintAim: public DagNode
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NConstraintAim(DagNode *parent = 0): DagNode(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NConstraintAim(); }
  void			buildDagNodes();
  virtual void		compute(Plug &plugOut);
};

// ************************************************************************* //
#endif//__NODECONSTRAINTAIM_HH__
