// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:29 $
/// $Revision: 1.1 $
// ************************************************************************* //
#include "plug.h"
#include "datablock.h"
#include "nodeshape.h"

// ************************************************************************* //
int	NShape::typeNbr(41);
String	NShape::typeStr("Shape");

// ************************************************************************* //
void	NShape::initialize()
{
  DataBlock	&db(getDataBlock());

  db.addInt(0, MININT, MAXINT, "sel", false);
  db.addInt(0, 0, MAXINT, "renderIn", false);
  db.addSignal("renderOut", false);

  db.affect("renderIn", "renderOut");
}

// ************************************************************************* //
void	NShape::compute(Plug &plug)
{
  if (plug.shortName() == "renderOut")
    {
      readAsSignal("renderIn");
      plug.writeAsSignal();
    }
}
