// ************************************************************************* //
/// GBB - Graphics Blue Box, by Alexis Angelidis
/// $Author: silex $
/// $Date: 2006/01/11 21:56:30 $
/// $Revision: 1.1 $
// ************************************************************************* //
#ifndef __NODESMOKE_HH__
#define __NODESMOKE_HH__

// ************************************************************************* //
#include "dagnode.h"

// ************************************************************************* //
class Plug;

// ************************************************************************* //
/// DESCRIPTION: Grid of smoke
// ************************************************************************* //
class NSmokeGrid: public DagNode
{
public:
  static int	typeNbr;
  static String	typeStr;
public:
  NSmokeGrid(DagNode *parent = 0): DagNode(parent) {}
  virtual void		initialize();
  virtual int		getTypeNbr() const { return typeNbr; }
  virtual const String	&getTypeStr() const { return typeStr; }
  static DagNode	*creator() { return new NSmokeGrid; }
  void			buildDagNodes();
  virtual void		compute(Plug &hndOut);
};

// ************************************************************************* //
#endif//__NODESMOKE_HH__
